application:
  process:
    id: OPER00
    name: ITS Operating Server
    center-id: L08
    region-code: 228
    region-name: 평택시

  center-comm:
    process-id: OPER00
  vds-server:
    process-id: VDS01
  vms-server:
    process-id: VMS01
  rse-server:
    process-id: DSRC01
  cctv-server:
    process-id: CTV01

  job-schedule:
    cctv-preset: true
    base-dbms: false
    fclt-stts: false
    unit-stts: false
    db-svr-stts: false

server:
  port: 8998
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  resources:
    static-locations: file:src/main/resources/static/

spring:
  profiles:
    active: prod
  main:
    banner-mode: off
  application:
    name: its-op-server

  output:
    ansi:
      enabled: always
  servlet:
    context-path: /
    session:
      tracking-mode: cookie
      timeout: 600
#    multipart:
#      enabled: true
#      file-size-threshold: 2KB
#      max-file-size: 200MB
#      max-request-size: 215MB

  jackson:
    property-naming-strategy: LOWER_CASE
  datasource:
    hikari:
      auto-commit: true
      connection-test-query: SELECT 1 FROM DUAL
      minimum-idle: 10
      #maximum-pool-size: 50
      pool-name: pool-its-op-server
  jpa:
    #database: Oracle
    open-in-view: false
    show-sql: false
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        default_batch_fetch_size: 1000
        format_sql: false
        use_sql_columns: false
        hbm2ddl.auto: validate
        implicit_naming_strategy: org.springframework.boot.orm.jpa.hibernate.SpringImplicitNamingStrategy
        physical_naming_strategy: org.springframework.boot.orm.jpa.hibernate.SpringPhysicalNamingStrategy
    output:
      ansi:
        enabled: always

logging:
  level:
    org.hibernate.SQL: ERROR
    org.hibernate.type: ERROR # 파라미터 보여준다.
    org:
      springframework:
        #security: DEBUG
        jdbc:
          core:
            JdbcTemplate: ERROR
            StatementCreatorUtils: ERROR
      hibernate:
        type:
          descriptor:
            sql:
              BasicBinder: ERROR

---
spring:
  config:
    activate:
      on-profile: dev
  devtools:
    livereload:
      enabled: true
  freemarker:
    cache: false
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      jdbc-url: jdbc:oracle:thin:@115.91.94.42:1522:HANTE19C
      username: ptatms
      password: ptatms
      connection-test-query: SELECT 1 FROM DUAL
      minimumIdle: 5
      maximumIdle: 10
      maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000
  jpa:
    database: oracle
    database-platform: org.hibernate.dialect.Oracle12cDialect
    #org.hibernate.dialect.Oracle10gDialect
    #org.hibernate.dialect.Oracle12cDialect
    hibernate:
      ddl-auto: none
    properties:
      hibernate:
        dialect: org.hibernate.dialect.Oracle12cDialect


---
spring:
  config:
    activate:
      on-profile: prod
  devtools:
    livereload:
      enabled: true
  freemarker:
    cache: false
  datasource:
    hikari:
      driver-class-name: oracle.jdbc.OracleDriver
      #jdbc-url: jdbc:oracle:thin:@172.19.10.25:1521:ptatms
      jdbc-url: jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.25)(PORT=1521))(ADDRESS=(PROTOCOL=TCP)(HOST=172.19.10.26)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=ptatms)))
      username: ptatms
      password: ptatms
      connection-test-query: SELECT 1 FROM DUAL
      minimumIdle: 5
      maximumIdle: 10
      #maximumPoolSize: 20
      idleTimeout: 30000
      connectTimeout: 10000
  jpa:
    database-platform: org.hibernate.dialect.Oracle12cDialect
    properties:
      hibernate:
        dialect: org.hibernate.dialect.Oracle12cDialect

